%if !(0%{?fedora} > 12 || 0%{?rhel} >= 6)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

%global module turbojson

Name:           python-turbojson
Version:        1.3.2
Release:        8%{?dist}
Summary:        Python template plugin that supports json

Group:          Development/Languages
License:        MIT
URL:            http://cheeseshop.python.org/pypi/TurboJson
Source0:        http://pypi.python.org/packages/source/T/TurboJson/TurboJson-%{version}.tar.gz
Patch0: turbojson-sqalchemy-0.8.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-peak-rules >= 0.5a1.dev-0.2600
BuildRequires: python-nose
BuildRequires: python-sqlalchemy
BuildRequires: python-sqlobject

BuildRequires: python-simplejson >= 1.9.1
Requires:      python-simplejson >= 1.9.1

Requires:      python-peak-rules >= 0.5a1.dev-0.2600

%description
This package provides a template engine plugin, allowing you
to easily use Json with TurboGears, Buffet or other systems
that support python.templating.engines.


%prep
%setup -q -n TurboJson-%{version}
%patch0 -p1

%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root=%{buildroot}

%check
python setup.py test

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{python_sitelib}/%{module}/
%{python_sitelib}/*.egg-info/


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 22 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 1.3.2-5
- Fix problem when using with SQLAlchemy 0.8

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Sep 7 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 1.3.2-1
- New upstream.  Once again require simplejson because the speed is so much better

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb 3 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 1.3.1-1
- New upstream that doesn't require simplejson on python-2.6 or later

* Sun Dec 26 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 1.3-2
- Update spec for minor guidelines changes

* Sun Sep 19 2010 Luke Macken <lmacken@redhat.com> - 1.3-1
- Update to 1.3
- Remove turbojson-result-row-proxy.patch, which is present in this release
- Drop our prioritized_methods requirement
- Require a more recent version of PEAK-Rules
- Pull in SQLAlchemy & SQLObject as BuildRequires to run the test suite

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.2.1-10
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Feb 8 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 1.2.1-9
- Add patch to fix SA RowProxy and ResultProxy
- Update BR for setuptools and defining python_sitelib
- Trim changelog

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 3 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 1.2.1-7
- And nose

* Tue Mar 3 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 1.2.1-6
- Add BR on simplejson so testsuite will run.

* Tue Mar 3 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 1.2.1-5
- Enable test suite.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.2.1-3
- Rebuild for Python 2.6

* Wed Sep 17 2008 Luke Macken <lmacken@redhat.com> 1.2.1-2
- Require python-prioritized-methods > 0.2

* Tue Sep 16 2008 Luke Macken <lmacken@redhat.com> 1.2.1-1
- Latest release of the 1.2.x series
- Require python-peak-rules (#459157, #459117)

* Sun Jun 22 2008 Luke Macken <lmacken@redhat.com> 1.2-1
- Latest upstream release, intended to be used with the upcoming TurboGears 1.1 version.
- Remove python-turbojson-SAfix-r3749.patch

* Sat Feb 2 2008 Toshio Kuratomi <tkuratom@redhat.com> 1.1.2-3
- ...and remember to include the patch in cvs.

* Sat Feb 2 2008 Toshio Kuratomi <tkuratom@redhat.com> 1.1.2-2
- Backport fix for 1.1.2's SQLAlchemy breakage.

* Tue Nov 27 2007 Luke Macken <lmacken@redhat.com> 1.1.2-1
- 1.1.2

* Wed Oct  3 2007 Toshio Kuratomi <a.badger@gmail.com> 1.1-2
- BuildRequire python-devel and setuptools-devel
- Use the setup.py script to build and install

* Wed Oct  3 2007 Luke Macken <lmacken@redhat.com> 1.1-1
- 1.1
- Update URL and Source
